Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkApplication

Represents an OpenIddict application.

##### Inheritance

System.Object
OpenIddictEntityFrameworkApplication<System.String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>
OpenIddictEntityFrameworkApplication

##### Inherited Members

OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Authorizations
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.ClientId
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.ClientSecret
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.ConcurrencyToken
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.ConsentType
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.DisplayName
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.DisplayNames
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Id
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Permissions
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.PostLogoutRedirectUris
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Properties
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.RedirectUris
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Requirements
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Tokens
OpenIddictEntityFrameworkApplication<String, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>.Type
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkApplication : OpenIddictEntityFrameworkApplication<string, OpenIddictEntityFrameworkAuthorization, OpenIddictEntityFrameworkToken>

### Constructors

#### OpenIddictEntityFrameworkApplication()

##### Declaration

    public OpenIddictEntityFrameworkApplication()